org.rrd4j.graph

## Class CommentText

- java.lang.Object
- - org.rrd4j.graph.CommentText

- All Implemented Interfaces:
    RrdGraphConstants
  Direct Known Subclasses:
    LegendText, PrintText

      class CommentText
      extends Object
      implements RrdGraphConstants

  Represents comment text elements in RRD graphs. Handles text resolution, marker processing, and positioning for graph comments and legends.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.rrd4j.graph.RrdGraphConstants

      `RrdGraphConstants.FontConstructor, RrdGraphConstants.FontTag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `enabled` Whether this comment is enabled for display
    `(package private) Markers` | `marker` End-of-text alignment marker
    `(package private) String` | `resolvedText` Text after variable substitution and marker processing
    `protected String` | `text` Original text before resolution
    `(package private) int` | `x` Screen coordinates for positioning
    `(package private) int` | `y` Screen coordinates for positioning

    - ### Fields inherited from interface org.rrd4j.graph.RrdGraphConstants

      `ALIGN_CENTER_MARKER, ALIGN_JUSTIFIED_MARKER, ALIGN_LEFT_MARKER, ALIGN_LEFTNONL_MARKER, ALIGN_RIGHT_MARKER, BLIND_COLOR, COLOR_ARROW, COLOR_BACK, COLOR_CANVAS, COLOR_FONT, COLOR_FRAME, COLOR_GRID, COLOR_MGRID, COLOR_SHADEA, COLOR_SHADEB, COLOR_XAXIS, COLOR_YAXIS, DAY, DEFAULT_ARROW_COLOR, DEFAULT_BACK_COLOR, DEFAULT_BASE, DEFAULT_CANVAS_COLOR, DEFAULT_END, DEFAULT_FONT_COLOR, DEFAULT_FRAME_COLOR, DEFAULT_GRID_COLOR, DEFAULT_HEIGHT, DEFAULT_IMAGE_FORMAT, DEFAULT_IMAGE_QUALITY, DEFAULT_LARGE_FONT, DEFAULT_MGRID_COLOR, DEFAULT_SHADEA_COLOR, DEFAULT_SHADEB_COLOR, DEFAULT_SMALL_FONT, DEFAULT_START, DEFAULT_UNITS_LENGTH, DEFAULT_WIDTH, DEFAULT_XAXIS_COLOR, DEFAULT_YAXIS_COLOR, FIRST_DAY_OF_WEEK, FONTTAG_AXIS, FONTTAG_DEFAULT, FONTTAG_LEGEND, FONTTAG_TITLE, FONTTAG_UNIT, FONTTAG_WATERMARK, FRIDAY, GATOR_FONT, GLUE_MARKER, GRID_STROKE, HH_MM, HOUR, IN_MEMORY_IMAGE, LEGEND_BOX, LEGEND_BOX_SPACE, LEGEND_INTERSPACING, LEGEND_LEADING, LEGEND_LEADING_SMALL, MINUTE, MONDAY, MONTH, NO_JUSTIFICATION_MARKER, PADDING_BOTTOM, PADDING_LEFT, PADDING_LEGEND, PADDING_PLOT, PADDING_RIGHT, PADDING_TITLE, PADDING_TOP, PADDING_VLABEL, PROPERTYFONTBOLD, PROPERTYFONTBOLDURL, PROPERTYFONTPLAIN, PROPERTYFONTPLAINURL, PROPERTYFONTSPROPERTIES, PROPERTYFONTSURL, SATURDAY, SECOND, SUNDAY, THURSDAY, TICK_STROKE, TUESDAY, VERTICAL_SPACING_MARKER, WEDNESDAY, WEEK, YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentText(String text)` Creates a new comment text element.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `isPrint()`
    `(package private) boolean` | `isValidGraphElement()`
    `(package private) void` | `resolveText(Locale l, DataProcessor dproc, ValueScaler valueScaler)`
    `(package private) void` | `trimIfGlue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          boolean enabled

      Whether this comment is enabled for display

    - #### marker

          Markers marker

      End-of-text alignment marker

    - #### resolvedText

          String resolvedText

      Text after variable substitution and marker processing

    - #### text

          protected final String text

      Original text before resolution

    - #### x

          int x

      Screen coordinates for positioning

    - #### y

          int y

      Screen coordinates for positioning

  - ### Constructor Detail

    - #### CommentText

          CommentText(String text)

      Creates a new comment text element.
      Parameters:
        `text` - the original text content

  - ### Method Detail

    - #### isPrint

          boolean isPrint()

    - #### isValidGraphElement

          boolean isValidGraphElement()

    - #### resolveText

          void resolveText(Locale l,
                           DataProcessor dproc,
                           ValueScaler valueScaler)

    - #### trimIfGlue

          void trimIfGlue()